%define major		2
%define libname		%mklibname rsync %{major}
%define develname	%mklibname rsync -d

Summary:	Rsync libraries
Name:		librsync
Version:	2.3.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://librsync.sourceforge.net/
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(popt)
BuildRequires:	cmake
BuildRequires:	doxygen

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative
to a file's checksum, so the two files need not both be present to
generate a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient
than and incompatible with rsync 2.4.6.

%package -n	%{libname}
Summary:	Rsync libraries
Group:		System/Libraries

%description -n	%{libname}
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative
to a file's checksum, so the two files need not both be present to
generate a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient
than and incompatible with rsync 2.4.6.

%package -n	%{develname}
Summary:	Headers for librsync
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	rsync-devel = %{version}-%{release}

%description -n	%{develname}
This package contains header files necessary for developing
programs based on librsync.

%package -n	rdiff
Summary:	Compute and apply signature-based file differences
Group:		System/Servers

%description -n	rdiff
Compute and apply signature-based file differences.

%prep
%setup -q
%autopatch -p1


%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS CONTRIBUTING.md NEWS.md README.md
%{_libdir}/librsync.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/%{name}.so
%{_includedir}/%{name}*
%{_mandir}/man3/*

%files -n rdiff
%{_bindir}/rdiff
%{_mandir}/man1/rdiff.1*


%changelog
* Tue Jun 09 2020 daviddavid <daviddavid> 2.3.1-1.mga8
+ Revision: 1591117
- new version: 2.3.1

* Fri May 01 2020 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1577431
- new version: 2.3.0

* Tue Feb 18 2020 daviddavid <daviddavid> 2.2.1-2.mga8
+ Revision: 1538672
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Nov 13 2019 daviddavid <daviddavid> 2.2.1-1.mga8
+ Revision: 1459719
- new version: 2.2.1

* Sun Sep 15 2019 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1441176
- new version: 2.1.0

* Fri Nov 09 2018 daviddavid <daviddavid> 2.0.2-1.mga7
+ Revision: 1329102
- new version: 2.0.2
- switch to cmake build system

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-5.mga7
+ Revision: 1299131
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 952590
- Mageia 6 Mass Rebuild

* Tue Apr 07 2015 luigiwalser <luigiwalser> 1.0.0-3.mga5
+ Revision: 819814
- do not obsolete previous lib
+ oden <oden>
- oops

* Tue Apr 07 2015 oden <oden> 1.0.0-2.1.mga5
+ Revision: 819798
- fix sloppy packaging

* Mon Mar 23 2015 philippem <philippem> 1.0.0-2.mga5
+ Revision: 819160
- Upgrade to 1.0.0, fix CVE-2014-8242 mga#15543
- Upgrade to 1.0.0, fix CVE-2014-8242 mga#15543

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-12.mga5
+ Revision: 744308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-11.mga5
+ Revision: 681767
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.7-10.mga4
+ Revision: 507324
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.7-9.mga3
+ Revision: 358120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.9.7-8.mga3
+ Revision: 305819
- cleanup spec

* Thu Feb 24 2011 philippem <philippem> 0.9.7-8.mga1
+ Revision: 58322
- imported package librsync


* Thu Feb 24 2011 Philippe Makowski <makowski.mageia@gmail.com> 0.9.7-8mga1
- initial import

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-7mdv2011.0
+ Revision: 620222
- the mass rebuild of 2010.0 packages

* Mon Jun 08 2009 Funda Wang <fwang@mandriva.org> 0.9.7-6mdv2010.0
+ Revision: 383836
- fix str fmt
- fix 4Gig problem:
  http://sourceforge.net/tracker/index.php?func=detail&aid=1439412&group_id=56125&atid=479441

* Sun Jul 27 2008 Thierry Vignaud <tv@mandriva.org> 0.9.7-5mdv2009.0
+ Revision: 250432
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.9.7-3mdv2008.1
+ Revision: 129040
- kill re-definition of %%buildroot on Pixel's request
- import librsync


* Thu Sep 01 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-3mdk
- fix #15498

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-2mdk
- rebuild

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.7-1mdk
- 0.9.7

* Sun Nov 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6-1mdk
- initial cooker contrib, PLD import
